### Method

# St IconTheme has_icon

#### Declaration [src]

    gboolean
    st_icon_theme_has_icon (
      StIconTheme* icon_theme,
      const char* icon_name
    )

#### Description [src]

Checks whether an icon theme includes an icon for a particular name.

#### Parameters

`icon_name`

  Type: `const char*`

  The name of an icon.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gboolean`

`TRUE` if `icon_theme` includes an icon for `icon_name`.